#!/bin/sh

binDir=`dirname $0`
. $binDir/setupCmdLine.sh

PLATFORM=`/bin/uname`
case $PLATFORM in

  OS/390)
        PROFILE_CLASSPATH=$WAS_HOME/lib/zinstaller.jar:$WAS_HOME/plugins/com.ibm.ws.runtime_6.1.0.jar:$WAS_HOME/plugins/com.ibm.ws.runtime.ws390_6.1.0.jar:$WAS_HOME/lib/bootstrapws390.jar
  ;;

  *)
        PROFILE_CLASSPATH=$WAS_HOME/plugins/com.ibm.ws.runtime_6.1.0.jar:$WAS_HOME/plugins/com.ibm.ws.runtime.dist_6.1.0.jar
  ;;

esac



$JAVA_HOME/bin/java \
  $JVM_EXTRA_CMD_ARGS \
  -DWAS_HOME=${WAS_HOME} \
  -Dwas.install.root=${WAS_HOME} \
  -classpath $PROFILE_CLASSPATH \
  com.ibm.wsspi.profile.WSProfileCLI \
  "$@"
